View Issue Details

IDProjectCategoryView StatusLast Update
0003345GNUnettransport servicepublic2014-04-08 16:41
ReporterBart PolotAssigned ToMatthias Wachs 
PriorityhighSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003345: running big expermients crashes transport
Description        core.11920.!tmp!bartgnunet!lib!gnunet!libexec!gnunet-service-transport
        core.11934.!tmp!bartgnunet!lib!gnunet!libexec!gnunet-service-transport
        core.11941.!tmp!bartgnunet!lib!gnunet!libexec!gnunet-service-transport
        core.11951.!tmp!bartgnunet!lib!gnunet!libexec!gnunet-service-transport
        core.14542.!tmp!bartgnunet!lib!gnunet!libexec!gnunet-service-transport
        core.14989.!tmp!bartgnunet!lib!gnunet!libexec!gnunet-service-transport
        core.17586.!tmp!bartgnunet!lib!gnunet!libexec!gnunet-service-transport


(gdb) bt
#0 0x00007f6e21b84369 in raise () from /usr/lib/libc.so.6
#1 0x00007f6e21b85768 in abort () from /usr/lib/libc.so.6
#2 0x00007f6e22e2d100 in GNUNET_abort () at common_logging.c:289
#3 0x00007f6e22e64fcd in GNUNET_SCHEDULER_cancel (task=36118) at scheduler.c:950
#4 0x00000000004231b0 in GST_manipulation_peer_disconnect (peer=0x1d939a8)
    at gnunet-service-transport_manipulation.c:698
#5 0x0000000000406066 in neighbours_disconnect_notification (cls=0x0, peer=0x1d939a8)
    at gnunet-service-transport.c:740
#6 0x000000000040f5fe in free_neighbour (n=0x1d93940, keep_sessions=0) at gnunet-service-transport_neighbours.c:863
#7 0x000000000041a6c1 in disconnect_all_neighbours (cls=0x0, key=0x7fff339a5110, value=0x1d93940)
    at gnunet-service-transport_neighbours.c:3910
#8 0x00007f6e22e3fbad in GNUNET_CONTAINER_multipeermap_iterate (map=0x1d864a0,
    it=0x41a608 <disconnect_all_neighbours>, it_cls=0x0) at container_multipeermap.c:361
#9 0x000000000041a720 in GST_neighbours_stop () at gnunet-service-transport_neighbours.c:3932
#10 0x00000000004062d8 in shutdown_task (cls=0x0, tc=0x7fff339a51e0) at gnunet-service-transport.c:819
#11 0x00007f6e22e641c9 in run_ready (rs=0x1d81e20, ws=0x1d81eb0) at scheduler.c:595
#12 0x00007f6e22e64a57 in GNUNET_SCHEDULER_run (task=0x7f6e22e70cfc <service_task>, task_cls=0x7fff339a5580)
    at scheduler.c:817
#13 0x00007f6e22e72a90 in GNUNET_SERVICE_run (argc=3, argv=0x7fff339a5808, service_name=0x423b84 "transport",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x4063a3 <run>, task_cls=0x0) at service.c:1493
#14 0x0000000000406b64 in main (argc=3, argv=0x7fff339a5808) at gnunet-service-transport.c:976
Steps To Reproducerun a big experiment (1000 peers with testbed does the trick for me)
Additional Information(gdb) bt full
#0 0x00007f6e21b84369 in raise () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x00007f6e21b85768 in abort () from /usr/lib/libc.so.6
No symbol table info available.
#2 0x00007f6e22e2d100 in GNUNET_abort () at common_logging.c:289
No locals.
#3 0x00007f6e22e64fcd in GNUNET_SCHEDULER_cancel (task=36118) at scheduler.c:950
        t = 0x0
        prev = 0x1d7db80
        p = GNUNET_SCHEDULER_PRIORITY_COUNT
        to = 1
        ret = 0x0
        __FUNCTION__ = "GNUNET_SCHEDULER_cancel"
#4 0x00000000004231b0 in GST_manipulation_peer_disconnect (peer=0x1d939a8)
    at gnunet-service-transport_manipulation.c:698
        tmp = 0x0
        dqe = 0x0
        next = 0x0
        __FUNCTION__ = "GST_manipulation_peer_disconnect"
#5 0x0000000000406066 in neighbours_disconnect_notification (cls=0x0, peer=0x1d939a8)
    at gnunet-service-transport.c:740
        disconnect_msg = {header = {size = 20560, type = 13210}, reserved = 32767, peer = {public_key = {
              q_y = "h@\t#n\177\000\000\377\377\377\377\000\000\000\000\004\000\000\000\000\000\000\000~PB\000\000\000\000"}}}
        __FUNCTION__ = "neighbours_disconnect_notification"
#6 0x000000000040f5fe in free_neighbour (n=0x1d93940, keep_sessions=0) at gnunet-service-transport_neighbours.c:863
        mq = 0x0
        papi = 0x1d84980
        backup_primary = 0x1d98690
        __FUNCTION__ = "free_neighbour"
#7 0x000000000041a6c1 in disconnect_all_neighbours (cls=0x0, key=0x7fff339a5110, value=0x1d93940)
---Type <return> to continue, or q <return> to quit---
    at gnunet-service-transport_neighbours.c:3910
        n = 0x1d93940
        __FUNCTION__ = "disconnect_all_neighbours"
#8 0x00007f6e22e3fbad in GNUNET_CONTAINER_multipeermap_iterate (map=0x1d864a0,
    it=0x41a608 <disconnect_all_neighbours>, it_cls=0x0) at container_multipeermap.c:361
        bme = 0x1d93d30
        nxt = 0x0
        count = 1
        i = 116
        me = {sme = 0x1d93d30, bme = 0x1d93d30}
        kc = {public_key = {
            q_y = "t\256\030\033\016\064\333dl\216\244\255\310\273\216\374\211\270\210\346M\225^0\331\001\347\036\264\065\266]"}}
        __FUNCTION__ = "GNUNET_CONTAINER_multipeermap_iterate"
#9 0x000000000041a720 in GST_neighbours_stop () at gnunet-service-transport_neighbours.c:3932
        cur = 0xb
        next = 0x7fff339a51d0
        __FUNCTION__ = "GST_neighbours_stop"
#10 0x00000000004062d8 in shutdown_task (cls=0x0, tc=0x7fff339a51e0) at gnunet-service-transport.c:819
No locals.
#11 0x00007f6e22e641c9 in run_ready (rs=0x1d81e20, ws=0x1d81eb0) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_SHUTDOWN
        pos = 0x1d87df0
        tc = {reason = GNUNET_SCHEDULER_REASON_SHUTDOWN, read_ready = 0x1d81e20, write_ready = 0x1d81eb0}
        __FUNCTION__ = "run_ready"
#12 0x00007f6e22e64a57 in GNUNET_SCHEDULER_run (task=0x7f6e22e70cfc <service_task>, task_cls=0x7fff339a5580)
    at scheduler.c:817
        rs = 0x1d81e20
        ws = 0x1d81eb0
        timeout = {rel_value_us = 0}
        ret = 3
---Type <return> to continue, or q <return> to quit---
        shc_int = 0x1d82870
        shc_term = 0x1d82930
        shc_quit = 0x1d82ab0
        shc_hup = 0x1d82b70
        shc_pipe = 0x1d829f0
        last_tr = 30380
        busy_wait_warning = 0
        pr = 0x1d84d00
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#13 0x00007f6e22e72a90 in GNUNET_SERVICE_run (argc=3, argv=0x7fff339a5808, service_name=0x423b84 "transport",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x4063a3 <run>, task_cls=0x0) at service.c:1493
        err = 0
        ret = 3
        cfg_fn = 0x1d79700 "~/.config/gnunet.conf"
        opt_cfg_fn = 0x1d79850 "/tmp/testbedmFmnFP/199/config"
        loglev = 0x0
        logfile = 0x0
        do_daemonize = 0
        i = 4219811
        skew_offset = 140111025975600
        skew_variance = 140734059140984
        clock_offset = 4208704
        sctx = {cfg = 0x1d79720, server = 0x1d82e20, addrs = 0x0, service_name = 0x423b84 "transport",
          task = 0x4063a3 <run>, task_cls = 0x0, v4_denied = 0x0, v6_denied = 0x0, v4_allowed = 0x1d917e0,
          v6_allowed = 0x1d90ae0, my_handlers = 0x1d86e40, addrlens = 0x0, lsocks = 0x1d81d90, shutdown_task = 4,
          timeout = {rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1, require_found = 1,
          match_uid = 0, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0x1d79720
        xdg = 0x0
        service_options = {{shortName = 99 'c', name = 0x7f6e22e806ad "config",
---Type <return> to continue, or q <return> to quit---
            argumentHelp = 0x7f6e22e806b4 "FILENAME",
            description = 0x7f6e22e806c0 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7f6e22e51fc9 <GNUNET_GETOPT_set_string>, scls = 0x7fff339a5638}, {shortName = 100 'd',
            name = 0x7f6e22e806e0 "daemonize", argumentHelp = 0x0,
            description = 0x7f6e22e806f0 "do daemonize (detach from terminal)", require_argument = 0,
            processor = 0x7f6e22e51f9c <GNUNET_GETOPT_set_one>, scls = 0x7fff339a5624}, {shortName = 104 'h',
            name = 0x7f6e22e80714 "help", argumentHelp = 0x0, description = 0x7f6e22e80719 "print this help",
            require_argument = 0, processor = 0x7f6e22e51a63 <GNUNET_GETOPT_format_help_>, scls = 0x0}, {
            shortName = 76 'L', name = 0x7f6e22e80729 "log", argumentHelp = 0x7f6e22e8072d "LOGLEVEL",
            description = 0x7f6e22e80738 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7f6e22e51fc9 <GNUNET_GETOPT_set_string>, scls = 0x7fff339a5630}, {shortName = 108 'l',
            name = 0x7f6e22e8075a "logfile", argumentHelp = 0x7f6e22e80762 "LOGFILE",
            description = 0x7f6e22e80770 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7f6e22e51fc9 <GNUNET_GETOPT_set_string>, scls = 0x7fff339a5628}, {shortName = 118 'v',
            name = 0x7f6e22e8079b "version", argumentHelp = 0x0,
            description = 0x7f6e22e807a3 "print the version number", require_argument = 0,
            processor = 0x7f6e22e51a1d <GNUNET_GETOPT_print_version_>, scls = 0x7f6e22e807bc}, {
            shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
            processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_run"
#14 0x0000000000406b64 in main (argc=3, argv=0x7fff339a5808) at gnunet-service-transport.c:976
No locals.
(gdb)
TagsNo tags attached.

Activities

Matthias Wachs

2014-03-24 11:22

manager   ~0008155

Fixed in rev 32784.

Issue History

Date Modified Username Field Change
2014-03-22 18:06 Bart Polot New Issue
2014-03-22 18:06 Bart Polot Status new => assigned
2014-03-22 18:06 Bart Polot Assigned To => Matthias Wachs
2014-03-24 11:22 Matthias Wachs Note Added: 0008155
2014-03-24 11:22 Matthias Wachs Status assigned => resolved
2014-03-24 11:22 Matthias Wachs Resolution open => fixed
2014-04-08 16:39 Christian Grothoff Fixed in Version => 0.10.1
2014-04-08 16:39 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed